Skip to main content
`Ctrl`+`K`

# DMSwarmSortRestorePointsPerCell

Restores an array of point indices for all points in a cell

## Synopsis

    #include "petscdmda.h"
    #include "petscdmplex.h"
    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmSortRestorePointsPerCell(DM dm, PetscInt e, PetscInt *npoints, PetscInt **pidlist)

Not Collective

## Input Parameters

- dm - a `DMSWARM` object

- e - the index of the cell

- npoints - the number of points in the cell

- pidlist - array of the indices identifying all points in cell e

## Note

You must call `DMSwarmSortGetAccess()` and `DMSwarmSortGetPointsPerCell()` before you can call `DMSwarmSortRestorePointsPerCell()`

## See Also

`DMSWARM`, `DMSwarmSetType()`, `DMSwarmSortGetPointsPerCell()`, `DMSwarmSortGetAccess()`, `DMSwarmSortGetNumberOfPointsPerCell()`

## Level

advanced

## Location

src/dm/impls/swarm/swarmpic_sort.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/dm/tutorials/ex20.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages